From owner-svn-src-user@freebsd.org  Sun Dec 15 05:50:56 2019
Return-Path: <owner-svn-src-user@freebsd.org>
Delivered-To: svn-src-user@mailman.nyi.freebsd.org
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2610:1c1:1:606c::19:1])
 by mailman.nyi.freebsd.org (Postfix) with ESMTP id E02841E2B23
 for <svn-src-user@mailman.nyi.freebsd.org>;
 Sun, 15 Dec 2019 05:50:56 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from mxrelay.nyi.freebsd.org (mxrelay.nyi.freebsd.org
 [IPv6:2610:1c1:1:606c::19:3])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 server-signature RSA-PSS (4096 bits)
 client-signature RSA-PSS (4096 bits) client-digest SHA256)
 (Client CN "mxrelay.nyi.freebsd.org",
 Issuer "Let's Encrypt Authority X3" (verified OK))
 by mx1.freebsd.org (Postfix) with ESMTPS id 47bD685YlCz4B3C;
 Sun, 15 Dec 2019 05:50:56 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org (repo.freebsd.org
 [IPv6:2610:1c1:1:6068::e6a:0])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by mxrelay.nyi.freebsd.org (Postfix) with ESMTPS id B9D048857;
 Sun, 15 Dec 2019 05:50:56 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org ([127.0.1.37])
 by repo.freebsd.org (8.15.2/8.15.2) with ESMTP id xBF5ouv2084838;
 Sun, 15 Dec 2019 05:50:56 GMT (envelope-from pho@FreeBSD.org)
Received: (from pho@localhost)
 by repo.freebsd.org (8.15.2/8.15.2/Submit) id xBF5ouEv084837;
 Sun, 15 Dec 2019 05:50:56 GMT (envelope-from pho@FreeBSD.org)
Message-Id: <201912150550.xBF5ouEv084837@repo.freebsd.org>
X-Authentication-Warning: repo.freebsd.org: pho set sender to pho@FreeBSD.org
 using -f
From: Peter Holm <pho@FreeBSD.org>
Date: Sun, 15 Dec 2019 05:50:56 +0000 (UTC)
To: src-committers@freebsd.org, svn-src-user@freebsd.org
Subject: svn commit: r355770 - user/pho/stress2/misc
X-SVN-Group: user
X-SVN-Commit-Author: pho
X-SVN-Commit-Paths: user/pho/stress2/misc
X-SVN-Commit-Revision: 355770
X-SVN-Commit-Repository: base
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-BeenThere: svn-src-user@freebsd.org
X-Mailman-Version: 2.1.29
Precedence: list
List-Id: "SVN commit messages for the experimental &quot; user&quot;
 src tree" <svn-src-user.freebsd.org>
List-Unsubscribe: <https://lists.freebsd.org/mailman/options/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=unsubscribe>
List-Archive: <http://lists.freebsd.org/pipermail/svn-src-user/>
List-Post: <mailto:svn-src-user@freebsd.org>
List-Help: <mailto:svn-src-user-request@freebsd.org?subject=help>
List-Subscribe: <https://lists.freebsd.org/mailman/listinfo/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=subscribe>
X-List-Received-Date: Sun, 15 Dec 2019 05:50:56 -0000

Author: pho
Date: Sun Dec 15 05:50:56 2019
New Revision: 355770
URL: https://svnweb.freebsd.org/changeset/base/355770

Log:
  Added one more tmpfs(5) test scenario.

Added:
  user/pho/stress2/misc/tmpfs19.sh   (contents, props changed)

Added: user/pho/stress2/misc/tmpfs19.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/tmpfs19.sh	Sun Dec 15 05:50:56 2019	(r355770)
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+#
+# SPDX-License-Identifier: BSD-2-Clause-FreeBSD
+#
+# Copyright (c) 2018 Dell EMC Isilon
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Write a large file to a tmpfs FS
+# Test scenario suggestion by kib@
+
+# Thread stuck in vmwait seen:
+# https://people.freebsd.org/~pho/stress/log/jeff138.txt
+
+. ../default.cfg
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+size=`sysctl -n hw.usermem`
+
+mount | grep "on $mntpoint " && umount -f $mntpoint
+mount -o size=$size -t tmpfs tmpfs $mntpoint
+
+size=$((size / 1024 / 1024))
+size=$((size - 5))
+echo "dd if=/dev/zero of=$mntpoint/file bs=1m count=$size"
+dd if=/dev/zero of=$mntpoint/file bs=1m count=$size status=none
+timeout 1m find `dirname $diskimage` -ls > /dev/null 2>&1
+
+for i in `jot 6`; do
+	mount | grep -q "on $mntpoint " || break
+	umount $mntpoint && break || sleep 10
+	[ $i -eq 6 ] &&
+	    { echo FATAL; fstat -mf $mntpoint; exit 1; }
+done
+exit 0

From owner-svn-src-user@freebsd.org  Tue Dec 17 08:55:58 2019
Return-Path: <owner-svn-src-user@freebsd.org>
Delivered-To: svn-src-user@mailman.nyi.freebsd.org
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2610:1c1:1:606c::19:1])
 by mailman.nyi.freebsd.org (Postfix) with ESMTP id E86571E0BD1
 for <svn-src-user@mailman.nyi.freebsd.org>;
 Tue, 17 Dec 2019 08:55:58 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from mxrelay.nyi.freebsd.org (mxrelay.nyi.freebsd.org
 [IPv6:2610:1c1:1:606c::19:3])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 server-signature RSA-PSS (4096 bits)
 client-signature RSA-PSS (4096 bits) client-digest SHA256)
 (Client CN "mxrelay.nyi.freebsd.org",
 Issuer "Let's Encrypt Authority X3" (verified OK))
 by mx1.freebsd.org (Postfix) with ESMTPS id 47cX6k5fbJz4245;
 Tue, 17 Dec 2019 08:55:58 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org (repo.freebsd.org
 [IPv6:2610:1c1:1:6068::e6a:0])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by mxrelay.nyi.freebsd.org (Postfix) with ESMTPS id B8AE4B5C2;
 Tue, 17 Dec 2019 08:55:58 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org ([127.0.1.37])
 by repo.freebsd.org (8.15.2/8.15.2) with ESMTP id xBH8twBW098902;
 Tue, 17 Dec 2019 08:55:58 GMT (envelope-from pho@FreeBSD.org)
Received: (from pho@localhost)
 by repo.freebsd.org (8.15.2/8.15.2/Submit) id xBH8tw9W098901;
 Tue, 17 Dec 2019 08:55:58 GMT (envelope-from pho@FreeBSD.org)
Message-Id: <201912170855.xBH8tw9W098901@repo.freebsd.org>
X-Authentication-Warning: repo.freebsd.org: pho set sender to pho@FreeBSD.org
 using -f
From: Peter Holm <pho@FreeBSD.org>
Date: Tue, 17 Dec 2019 08:55:58 +0000 (UTC)
To: src-committers@freebsd.org, svn-src-user@freebsd.org
Subject: svn commit: r355845 - user/pho/stress2/misc
X-SVN-Group: user
X-SVN-Commit-Author: pho
X-SVN-Commit-Paths: user/pho/stress2/misc
X-SVN-Commit-Revision: 355845
X-SVN-Commit-Repository: base
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-BeenThere: svn-src-user@freebsd.org
X-Mailman-Version: 2.1.29
Precedence: list
List-Id: "SVN commit messages for the experimental &quot; user&quot;
 src tree" <svn-src-user.freebsd.org>
List-Unsubscribe: <https://lists.freebsd.org/mailman/options/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=unsubscribe>
List-Archive: <http://lists.freebsd.org/pipermail/svn-src-user/>
List-Post: <mailto:svn-src-user@freebsd.org>
List-Help: <mailto:svn-src-user-request@freebsd.org?subject=help>
List-Subscribe: <https://lists.freebsd.org/mailman/listinfo/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=subscribe>
X-List-Received-Date: Tue, 17 Dec 2019 08:55:59 -0000

Author: pho
Date: Tue Dec 17 08:55:58 2019
New Revision: 355845
URL: https://svnweb.freebsd.org/changeset/base/355845

Log:
  Increase the vnode cap (kern.maxvnodes) to allow the test to complete in a
  reasonable time.

Modified:
  user/pho/stress2/misc/core5.sh

Modified: user/pho/stress2/misc/core5.sh
==============================================================================
--- user/pho/stress2/misc/core5.sh	Tue Dec 17 08:30:11 2019	(r355844)
+++ user/pho/stress2/misc/core5.sh	Tue Dec 17 08:55:58 2019	(r355845)
@@ -35,11 +35,10 @@
 # Fixed by r279237.
 
 # 20150714 Slowdown seen with core5 waiting in vlruwk.
-# sysctl vfs.vlru_allow_cache_src=1 resolves this.
-# For now change MAXVNODES from 1.000 to 1.500.
+# sysctl vfs.vlru_allow_cache_src=1 used to resolve this.
+# For now change MAXVNODES from 1.000 to 4.000.
 
 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
-
 . ../default.cfg
 
 here=`pwd`
@@ -135,7 +134,7 @@ EOF
 #include <time.h>
 #include <unistd.h>
 
-#define MAXVNODES 1500
+#define MAXVNODES 4000
 #define NBFILES 10000
 #define PARALLEL 4
 #define RTIME (10 * 60)

From owner-svn-src-user@freebsd.org  Tue Dec 17 08:57:02 2019
Return-Path: <owner-svn-src-user@freebsd.org>
Delivered-To: svn-src-user@mailman.nyi.freebsd.org
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2610:1c1:1:606c::19:1])
 by mailman.nyi.freebsd.org (Postfix) with ESMTP id 7D2E31E0C11
 for <svn-src-user@mailman.nyi.freebsd.org>;
 Tue, 17 Dec 2019 08:57:02 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from mxrelay.nyi.freebsd.org (mxrelay.nyi.freebsd.org
 [IPv6:2610:1c1:1:606c::19:3])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 server-signature RSA-PSS (4096 bits)
 client-signature RSA-PSS (4096 bits) client-digest SHA256)
 (Client CN "mxrelay.nyi.freebsd.org",
 Issuer "Let's Encrypt Authority X3" (verified OK))
 by mx1.freebsd.org (Postfix) with ESMTPS id 47cX7y2lKYz428j;
 Tue, 17 Dec 2019 08:57:02 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org (repo.freebsd.org
 [IPv6:2610:1c1:1:6068::e6a:0])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by mxrelay.nyi.freebsd.org (Postfix) with ESMTPS id 59908B5C3;
 Tue, 17 Dec 2019 08:57:02 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org ([127.0.1.37])
 by repo.freebsd.org (8.15.2/8.15.2) with ESMTP id xBH8v2cv098999;
 Tue, 17 Dec 2019 08:57:02 GMT (envelope-from pho@FreeBSD.org)
Received: (from pho@localhost)
 by repo.freebsd.org (8.15.2/8.15.2/Submit) id xBH8v2nq098998;
 Tue, 17 Dec 2019 08:57:02 GMT (envelope-from pho@FreeBSD.org)
Message-Id: <201912170857.xBH8v2nq098998@repo.freebsd.org>
X-Authentication-Warning: repo.freebsd.org: pho set sender to pho@FreeBSD.org
 using -f
From: Peter Holm <pho@FreeBSD.org>
Date: Tue, 17 Dec 2019 08:57:02 +0000 (UTC)
To: src-committers@freebsd.org, svn-src-user@freebsd.org
Subject: svn commit: r355846 - user/pho/stress2/misc
X-SVN-Group: user
X-SVN-Commit-Author: pho
X-SVN-Commit-Paths: user/pho/stress2/misc
X-SVN-Commit-Revision: 355846
X-SVN-Commit-Repository: base
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-BeenThere: svn-src-user@freebsd.org
X-Mailman-Version: 2.1.29
Precedence: list
List-Id: "SVN commit messages for the experimental &quot; user&quot;
 src tree" <svn-src-user.freebsd.org>
List-Unsubscribe: <https://lists.freebsd.org/mailman/options/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=unsubscribe>
List-Archive: <http://lists.freebsd.org/pipermail/svn-src-user/>
List-Post: <mailto:svn-src-user@freebsd.org>
List-Help: <mailto:svn-src-user-request@freebsd.org?subject=help>
List-Subscribe: <https://lists.freebsd.org/mailman/listinfo/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=subscribe>
X-List-Received-Date: Tue, 17 Dec 2019 08:57:02 -0000

Author: pho
Date: Tue Dec 17 08:57:01 2019
New Revision: 355846
URL: https://svnweb.freebsd.org/changeset/base/355846

Log:
  Added note about when the problem was fixed.

Modified:
  user/pho/stress2/misc/tmpfs19.sh

Modified: user/pho/stress2/misc/tmpfs19.sh
==============================================================================
--- user/pho/stress2/misc/tmpfs19.sh	Tue Dec 17 08:55:58 2019	(r355845)
+++ user/pho/stress2/misc/tmpfs19.sh	Tue Dec 17 08:57:01 2019	(r355846)
@@ -34,6 +34,7 @@
 
 # Thread stuck in vmwait seen:
 # https://people.freebsd.org/~pho/stress/log/jeff138.txt
+# Fixed by r355771
 
 . ../default.cfg
 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1

From owner-svn-src-user@freebsd.org  Wed Dec 18 08:39:25 2019
Return-Path: <owner-svn-src-user@freebsd.org>
Delivered-To: svn-src-user@mailman.nyi.freebsd.org
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2610:1c1:1:606c::19:1])
 by mailman.nyi.freebsd.org (Postfix) with ESMTP id 875A31D8B61
 for <svn-src-user@mailman.nyi.freebsd.org>;
 Wed, 18 Dec 2019 08:39:25 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from mxrelay.nyi.freebsd.org (mxrelay.nyi.freebsd.org
 [IPv6:2610:1c1:1:606c::19:3])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 server-signature RSA-PSS (4096 bits)
 client-signature RSA-PSS (4096 bits) client-digest SHA256)
 (Client CN "mxrelay.nyi.freebsd.org",
 Issuer "Let's Encrypt Authority X3" (verified OK))
 by mx1.freebsd.org (Postfix) with ESMTPS id 47d7j935Blz4L4k;
 Wed, 18 Dec 2019 08:39:25 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org (repo.freebsd.org
 [IPv6:2610:1c1:1:6068::e6a:0])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by mxrelay.nyi.freebsd.org (Postfix) with ESMTPS id 6058123820;
 Wed, 18 Dec 2019 08:39:25 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org ([127.0.1.37])
 by repo.freebsd.org (8.15.2/8.15.2) with ESMTP id xBI8dPe3038126;
 Wed, 18 Dec 2019 08:39:25 GMT (envelope-from pho@FreeBSD.org)
Received: (from pho@localhost)
 by repo.freebsd.org (8.15.2/8.15.2/Submit) id xBI8dPEp038125;
 Wed, 18 Dec 2019 08:39:25 GMT (envelope-from pho@FreeBSD.org)
Message-Id: <201912180839.xBI8dPEp038125@repo.freebsd.org>
X-Authentication-Warning: repo.freebsd.org: pho set sender to pho@FreeBSD.org
 using -f
From: Peter Holm <pho@FreeBSD.org>
Date: Wed, 18 Dec 2019 08:39:25 +0000 (UTC)
To: src-committers@freebsd.org, svn-src-user@freebsd.org
Subject: svn commit: r355878 - user/pho/stress2/misc
X-SVN-Group: user
X-SVN-Commit-Author: pho
X-SVN-Commit-Paths: user/pho/stress2/misc
X-SVN-Commit-Revision: 355878
X-SVN-Commit-Repository: base
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-BeenThere: svn-src-user@freebsd.org
X-Mailman-Version: 2.1.29
Precedence: list
List-Id: "SVN commit messages for the experimental &quot; user&quot;
 src tree" <svn-src-user.freebsd.org>
List-Unsubscribe: <https://lists.freebsd.org/mailman/options/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=unsubscribe>
List-Archive: <http://lists.freebsd.org/pipermail/svn-src-user/>
List-Post: <mailto:svn-src-user@freebsd.org>
List-Help: <mailto:svn-src-user-request@freebsd.org?subject=help>
List-Subscribe: <https://lists.freebsd.org/mailman/listinfo/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=subscribe>
X-List-Received-Date: Wed, 18 Dec 2019 08:39:25 -0000

Author: pho
Date: Wed Dec 18 08:39:24 2019
New Revision: 355878
URL: https://svnweb.freebsd.org/changeset/base/355878

Log:
  Added problem found.

Modified:
  user/pho/stress2/misc/swappedout.sh

Modified: user/pho/stress2/misc/swappedout.sh
==============================================================================
--- user/pho/stress2/misc/swappedout.sh	Wed Dec 18 08:08:51 2019	(r355877)
+++ user/pho/stress2/misc/swappedout.sh	Wed Dec 18 08:39:24 2019	(r355878)
@@ -31,6 +31,9 @@
 # Processes stay in "swapped out" state even after swapoff
 # Broken by r254304.
 
+# "panic: page 0xfffffe00070e7d30 is neither wired nor queued":
+# https://people.freebsd.org/~pho/stress/log/swappedout-3.txt
+
 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
 
 (cd ../testcases/swap; ./swap -t 2m -i 20 -v) > /dev/null

From owner-svn-src-user@freebsd.org  Thu Dec 19 15:11:02 2019
Return-Path: <owner-svn-src-user@freebsd.org>
Delivered-To: svn-src-user@mailman.nyi.freebsd.org
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2610:1c1:1:606c::19:1])
 by mailman.nyi.freebsd.org (Postfix) with ESMTP id 37D3E1E2E2C
 for <svn-src-user@mailman.nyi.freebsd.org>;
 Thu, 19 Dec 2019 15:11:02 +0000 (UTC) (envelope-from uqs@FreeBSD.org)
Received: from mxrelay.nyi.freebsd.org (mxrelay.nyi.freebsd.org
 [IPv6:2610:1c1:1:606c::19:3])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 server-signature RSA-PSS (4096 bits)
 client-signature RSA-PSS (4096 bits) client-digest SHA256)
 (Client CN "mxrelay.nyi.freebsd.org",
 Issuer "Let's Encrypt Authority X3" (verified OK))
 by mx1.freebsd.org (Postfix) with ESMTPS id 47dwLZ0nLPz3J0j;
 Thu, 19 Dec 2019 15:11:02 +0000 (UTC) (envelope-from uqs@FreeBSD.org)
Received: from repo.freebsd.org (repo.freebsd.org
 [IPv6:2610:1c1:1:6068::e6a:0])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by mxrelay.nyi.freebsd.org (Postfix) with ESMTPS id 1619F186C3;
 Thu, 19 Dec 2019 15:11:02 +0000 (UTC) (envelope-from uqs@FreeBSD.org)
Received: from repo.freebsd.org ([127.0.1.37])
 by repo.freebsd.org (8.15.2/8.15.2) with ESMTP id xBJFB1NB022518;
 Thu, 19 Dec 2019 15:11:01 GMT (envelope-from uqs@FreeBSD.org)
Received: (from uqs@localhost)
 by repo.freebsd.org (8.15.2/8.15.2/Submit) id xBJFB1YE022517;
 Thu, 19 Dec 2019 15:11:01 GMT (envelope-from uqs@FreeBSD.org)
Message-Id: <201912191511.xBJFB1YE022517@repo.freebsd.org>
X-Authentication-Warning: repo.freebsd.org: uqs set sender to uqs@FreeBSD.org
 using -f
From: Ulrich Spoerlein <uqs@FreeBSD.org>
Date: Thu, 19 Dec 2019 15:11:01 +0000 (UTC)
To: src-committers@freebsd.org, svn-src-user@freebsd.org
Subject: svn commit: r355911 - user/uqs/git_conv
X-SVN-Group: user
X-SVN-Commit-Author: uqs
X-SVN-Commit-Paths: user/uqs/git_conv
X-SVN-Commit-Revision: 355911
X-SVN-Commit-Repository: base
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-BeenThere: svn-src-user@freebsd.org
X-Mailman-Version: 2.1.29
Precedence: list
List-Id: "SVN commit messages for the experimental &quot; user&quot;
 src tree" <svn-src-user.freebsd.org>
List-Unsubscribe: <https://lists.freebsd.org/mailman/options/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=unsubscribe>
List-Archive: <http://lists.freebsd.org/pipermail/svn-src-user/>
List-Post: <mailto:svn-src-user@freebsd.org>
List-Help: <mailto:svn-src-user-request@freebsd.org?subject=help>
List-Subscribe: <https://lists.freebsd.org/mailman/listinfo/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=subscribe>
X-List-Received-Date: Thu, 19 Dec 2019 15:11:02 -0000

Author: uqs
Date: Thu Dec 19 15:11:01 2019
New Revision: 355911
URL: https://svnweb.freebsd.org/changeset/base/355911

Log:
  Ignore 2 empty commits.

Modified:
  user/uqs/git_conv/freebsd-base.rules

Modified: user/uqs/git_conv/freebsd-base.rules
==============================================================================
--- user/uqs/git_conv/freebsd-base.rules	Thu Dec 19 10:22:16 2019	(r355910)
+++ user/uqs/git_conv/freebsd-base.rules	Thu Dec 19 15:11:01 2019	(r355911)
@@ -25,6 +25,15 @@ max revision 244487
 end match
 match /svnadmin/.*
 end match
+# Skip empty vendor dir creation and branch
+match /vendor/.*
+min revision 355814
+max revision 355814
+end match
+match /vendor/.*
+min revision 355815
+max revision 355815
+end match
 
 match /head/
   repository freebsd-base.git

From owner-svn-src-user@freebsd.org  Sat Dec 21 07:38:15 2019
Return-Path: <owner-svn-src-user@freebsd.org>
Delivered-To: svn-src-user@mailman.nyi.freebsd.org
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2610:1c1:1:606c::19:1])
 by mailman.nyi.freebsd.org (Postfix) with ESMTP id 87EB61CA773
 for <svn-src-user@mailman.nyi.freebsd.org>;
 Sat, 21 Dec 2019 07:38:15 +0000 (UTC) (envelope-from uqs@FreeBSD.org)
Received: from mxrelay.nyi.freebsd.org (mxrelay.nyi.freebsd.org
 [IPv6:2610:1c1:1:606c::19:3])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 server-signature RSA-PSS (4096 bits)
 client-signature RSA-PSS (4096 bits) client-digest SHA256)
 (Client CN "mxrelay.nyi.freebsd.org",
 Issuer "Let's Encrypt Authority X3" (verified OK))
 by mx1.freebsd.org (Postfix) with ESMTPS id 47fyCC30jyz3yv6;
 Sat, 21 Dec 2019 07:38:15 +0000 (UTC) (envelope-from uqs@FreeBSD.org)
Received: from repo.freebsd.org (repo.freebsd.org
 [IPv6:2610:1c1:1:6068::e6a:0])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by mxrelay.nyi.freebsd.org (Postfix) with ESMTPS id 6243DC169;
 Sat, 21 Dec 2019 07:38:15 +0000 (UTC) (envelope-from uqs@FreeBSD.org)
Received: from repo.freebsd.org ([127.0.1.37])
 by repo.freebsd.org (8.15.2/8.15.2) with ESMTP id xBL7cFtD060110;
 Sat, 21 Dec 2019 07:38:15 GMT (envelope-from uqs@FreeBSD.org)
Received: (from uqs@localhost)
 by repo.freebsd.org (8.15.2/8.15.2/Submit) id xBL7cFIo060109;
 Sat, 21 Dec 2019 07:38:15 GMT (envelope-from uqs@FreeBSD.org)
Message-Id: <201912210738.xBL7cFIo060109@repo.freebsd.org>
X-Authentication-Warning: repo.freebsd.org: uqs set sender to uqs@FreeBSD.org
 using -f
From: Ulrich Spoerlein <uqs@FreeBSD.org>
Date: Sat, 21 Dec 2019 07:38:15 +0000 (UTC)
To: src-committers@freebsd.org, svn-src-user@freebsd.org
Subject: svn commit: r355979 - user/uqs/git_conv
X-SVN-Group: user
X-SVN-Commit-Author: uqs
X-SVN-Commit-Paths: user/uqs/git_conv
X-SVN-Commit-Revision: 355979
X-SVN-Commit-Repository: base
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-BeenThere: svn-src-user@freebsd.org
X-Mailman-Version: 2.1.29
Precedence: list
List-Id: "SVN commit messages for the experimental &quot; user&quot;
 src tree" <svn-src-user.freebsd.org>
List-Unsubscribe: <https://lists.freebsd.org/mailman/options/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=unsubscribe>
List-Archive: <http://lists.freebsd.org/pipermail/svn-src-user/>
List-Post: <mailto:svn-src-user@freebsd.org>
List-Help: <mailto:svn-src-user-request@freebsd.org?subject=help>
List-Subscribe: <https://lists.freebsd.org/mailman/listinfo/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=subscribe>
X-List-Received-Date: Sat, 21 Dec 2019 07:38:15 -0000

Author: uqs
Date: Sat Dec 21 07:38:14 2019
New Revision: 355979
URL: https://svnweb.freebsd.org/changeset/base/355979

Log:
  Ignore another empty SVN commit

Modified:
  user/uqs/git_conv/freebsd-base.rules

Modified: user/uqs/git_conv/freebsd-base.rules
==============================================================================
--- user/uqs/git_conv/freebsd-base.rules	Sat Dec 21 05:03:21 2019	(r355978)
+++ user/uqs/git_conv/freebsd-base.rules	Sat Dec 21 07:38:14 2019	(r355979)
@@ -34,6 +34,10 @@ match /vendor/.*
 min revision 355815
 max revision 355815
 end match
+match /vendor/.*
+min revision 355939
+max revision 355939
+end match
 
 match /head/
   repository freebsd-base.git